<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>World Map - Olympic Medals</title>
    <link rel="stylesheet" href="styles.css">
    <script src="https://d3js.org/d3.v6.min.js"></script>
    <script src="https://d3js.org/topojson.v3.min.js"></script>
</head>
<body>
    <h1>World Map - Olympic Medals</h1>
    <div class="container">
        <div id="map"></div>
        <div id="medalCounts">
            <h2>Medal Counts</h2>
            <div id="counts"></div>
        </div>
    </div>
    <label for="yearSlider">Year: <span id="yearLabel">1896</span></label>
    <input type="range" id="yearSlider" min="1896" max="2016" value="1896" step="4">
    <button id="playButton">Play</button>
    <script src="script.js"></script>
</body>
</html>

